/*
 * Copyright (c) 2021, orioc and/or its affiliates. All rights reserved.
 * Use, Copy is subject to authorized license.
 */

package com.bonus.sharedstation.web.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;

import java.util.Date;
import java.util.List;

/**
 * 急救知识 实体类
 *
 * @author zhh
 * @date 2024-11-14
 */
@TableName("first_aid_info")
public class FirstAidInfo implements java.io.Serializable {

    /**
     * 序列化版本号
     */
    private static final long serialVersionUID = -8270716895549511778L;

    private Integer id;
    /**
     * 急救知识信息
     */
    private String firstAidName;
    /**
     * 视频 Url
     */
    private String videoUrl;
    /**
     * 急救知识介绍
     */
    private String instruction;
    /**
     * 发布状态，1表示已发布，0表示未发布
     */
    private String publishStatus;
    /**
     * 图标地址
     */
    private String logoAddress;
    /**
     * 背景图地址
     */
    private String backGroundAddress;

    /**
     * 创建人
     */
    private String createdBy; // 创建人
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createdTime; // 创建时间
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date updatedTime; // 修改时间
    private String updatedBy; // 修改人
    private String isDeleted; // 逻辑删除标识，1表示已删除，0表示未删除


    @TableField(exist = false)
    private List<OperationStep> steps;

    public List<OperationStep> getSteps() {
        return steps;
    }

    public void setSteps(List<OperationStep> steps) {
        this.steps = steps;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getFirstAidName() {
        return firstAidName;
    }

    public void setFirstAidName(String firstAidName) {
        this.firstAidName = firstAidName;
    }

    public String getVideoUrl() {
        return videoUrl;
    }

    public void setVideoUrl(String videoUrl) {
        this.videoUrl = videoUrl;
    }

    public String getInstruction() {
        return instruction;
    }

    public void setInstruction(String instruction) {
        this.instruction = instruction;
    }

    public String getPublishStatus() {
        return publishStatus;
    }

    public void setPublishStatus(String publishStatus) {
        this.publishStatus = publishStatus;
    }

    public String getLogoAddress() {
        return logoAddress;
    }

    public void setLogoAddress(String logoAddress) {
        this.logoAddress = logoAddress;
    }

    public String getBackGroundAddress() {
        return backGroundAddress;
    }

    public void setBackGroundAddress(String backGroundAddress) {
        this.backGroundAddress = backGroundAddress;
    }

    public String getCreatedBy() {
        return createdBy;
    }

    public void setCreatedBy(String createdBy) {
        this.createdBy = createdBy;
    }

    public Date getCreatedTime() {
        return createdTime;
    }

    public void setCreatedTime(Date createdTime) {
        this.createdTime = createdTime;
    }

    public Date getUpdatedTime() {
        return updatedTime;
    }

    public void setUpdatedTime(Date updatedTime) {
        this.updatedTime = updatedTime;
    }

    public String getUpdatedBy() {
        return updatedBy;
    }

    public void setUpdatedBy(String updatedBy) {
        this.updatedBy = updatedBy;
    }

    public String getIsDeleted() {
        return isDeleted;
    }

    public void setIsDeleted(String isDeleted) {
        this.isDeleted = isDeleted;
    }
}
